import Test.HUnit

import StringUtils (string_utils_tests)
import Twitter.Status(status_tests)
import Twitter.Xml(xml_tests)

-- The list of HUnit tests.
test_suite = TestList (concat [xml_tests, status_tests, string_utils_tests])

main :: IO ()
main = do
  putStrLn "HUnit"
  putStrLn "-----"
  runTestTT test_suite
  return ()